
;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "IAf_a"
command = ~D, DF, F, a
time = 1

[Command]
name = "IAf_b"
command = ~D, DF, F, b
time = 1

[Command]
name = "IAf_c"
command = ~D, DF, F, c
time = 1

[Command]
name = "IAf_x"
command = ~D, DF, F, x
time = 1

[Command]
name = "IAf_y"
command = ~D, DF, F, y
time = 1

[Command]
name = "IAf_z"
command = ~D, DF, F, z
time = 1

[Command]
name = "IAb_a"
command = ~D, DB, B, a
time = 1

[Command]
name = "IAb_b"
command = ~D, DB, B, b
time = 1

[Command]
name = "IAb_c"
command = ~D, DB, B, c
time = 1

[Command]
name = "IAb_x"
command = ~D, DB, B, x
time = 1

[Command]
name = "IAb_y"
command = ~D, DB, B, y
time = 1

[Command]
name = "IAb_z"
command = ~D, DB, B, z
time = 1


[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

[Command]
name = "SmashKFUpper3"   ;Same name as above
command = ~D, DB, B, D, DB, B, a;~F, D, DF, F, D, DF, y
time = 20

[Command]
name = "SmashKFUpperX"
command = ~D, DB, B, D, DB, B, a
time = 20

[Command]
name = "TripleKFPalmX"
command = ~D, DF, F, D, DF, F, a
time = 20

[Command]
name = "TripleKFPalma"
command = ~D, DB, B, D, DB, B, a
time = 20

[Command]
name = "shungokusatsu"
command = b+x;x, x, F, a, z
time = 35

[Command]
name = "finalhadouken"
command = c+x;x, x, F, a, z
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command =  x+y;~F, D, DF, x 

[Command]
name = "upper_y"
command = x+z;~F, D, DF, y

[Command]
name = "upper_xy"
command = y+z;~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, z

[Command]
name = "FF_ab"
command = ~D, DF, F, c;F, F, a+b

[Command]
name = "FF_a"
command = ~D, DF, F, a;F, F, a

[Command]
name = "FF_b"
command = ~D, DF, F, b;F, F, b

[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "plac_a"
command = x+a

[Command]
name = "plac_b"
command = y+b

[Command]
name = "plac_c"
command = z+c

[Command]
name = "lightningkick_a"
command = a, a, a
time = 30;30

[Command]
name = "lightningkick_a"
command = b, b, b,b
time = 30;30

[Command]
name = "lightningkick_a"
command = c, c, c, c, c
time = 30;30

[Command]
name = "lightningkick_aa"
command = a, a
time = 30;12

[Command]
name = "lightningkick_aa"
command = b, b, b,b
time = 30;30

[Command]
name = "lightningkick_aa"
command = c, c, c, c, c
time = 30;30

; not used
[Command]
name = "QCF_a"
command = a+b

; not used
[Command]
name = "QCF_b"
command = b+c

; not used
[Command]
name = "QCF_g"
command = a+y

; not used
[Command]
name = "QCF_f"
command = b+z

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "cc"
command = y+c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;Variavel que comanda a IA de Majin Boo:

[State -1]
type = varset	
triggerall = var(20)!= 1
trigger1 = command = "IAf_a" 
trigger2 = command = "IAf_b"
trigger3 = command = "IAf_c"
trigger4 = command = "IAf_x"
trigger5 = command = "IAf_y"
trigger6 = command = "IAf_z"
trigger7 = command = "IAb_a"
trigger8 = command = "IAb_b"
trigger9 = command = "IAb_c"
trigger10 = command = "IAb_x"
trigger11 = command = "IAb_y"
trigger12 = command = "IAb_z"
v = 20
value = 1

;===========================================================================
[State -1,6]
type = ChangeState
value = 10000
triggerall = command = "TripleKFPalmX"
triggerall = power >= 1000
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = movecontact = 1
trigger3 = stateno = 610
trigger3 = movecontact = 1
trigger4 = stateno = 620
trigger4 = movecontact = 1
trigger5 = stateno = 630
trigger5 = movecontact = 1
trigger6 = stateno = 640
trigger6 = movecontact = 1
trigger7 = stateno = 650
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
[State -1,6]
type = ChangeState
value = 11000
triggerall = command = "TripleKFPalma"
triggerall = power >= 1000
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = stateno = 600
trigger2 = movecontact = 1
trigger3 = stateno = 610
trigger3 = movecontact = 1
trigger4 = stateno = 620
trigger4 = movecontact = 1
trigger5 = stateno = 630
trigger5 = movecontact = 1
trigger6 = stateno = 640
trigger6 = movecontact = 1
trigger7 = stateno = 650
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 250
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 17000
triggerall = command = "finalhadouken"
triggerall = power >= 3000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 8000
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact = 1
trigger3 = stateno = 610
trigger3 = movecontact = 1
trigger4 = stateno = 620
trigger4 = movecontact = 1
trigger5 = stateno = 630
trigger5 = movecontact = 1
trigger6 = stateno = 640
trigger6 = movecontact = 1
trigger7 = stateno = 650
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;OJt[˂iQ[WxPj
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 250
trigger7 = movecontact = 1

;===========================================================================
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 4000
triggerall = command = "SmashKFUpperX"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 250
trigger7 = movecontact = 1

;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 50000
triggerall = command = "TripleKFPalmX"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = 220
trigger4 = movecontact = 1
trigger5 = stateno = 230
trigger5 = movecontact = 1
trigger6 = stateno = 240
trigger6 = movecontact = 1
trigger7 = stateno = 250
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
;Smash Kung Fu Upper (uses one super bar)
;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 7000
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
;triggerall = stateno = 50
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact = 1
trigger3 = stateno = 610
trigger3 = movecontact = 1
trigger4 = stateno = 620
trigger4 = movecontact = 1
trigger5 = stateno = 630
trigger5 = movecontact = 1
trigger6 = stateno = 640
trigger6 = movecontact = 1
trigger7 = stateno = 650
trigger7 = movecontact = 1
;---------------------------------------------------------------------------
[State -1]
type = ChangeState
value = 16000
triggerall = command = "shungokusatsu"
triggerall = power >= 3000
triggerall = var(10) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger3 = stateno = 201
trigger4 = stateno = 202
trigger5 = stateno = 203
trigger6 = stateno = 204
trigger7 = stateno = 205
trigger8 = stateno = 206
trigger9 = movecontact = 1
trigger9 = stateno = 400
trigger10 = movecontact = 1
trigger10 = stateno = 401
trigger11 = movecontact = 1
trigger11 = stateno = 402
trigger12 = movecontact = 1
trigger12 = stateno = 403
trigger13 = movecontact = 1
trigger13 = stateno = 404
trigger14 = movecontact = 1
trigger14 = stateno = 405
trigger15 = movecontact = 1
trigger15 = stateno = 406
trigger16 = stateno = 301
trigger17 = stateno = 302
trigger18 = stateno = 304
trigger19 = stateno = 305
trigger20 = stateno = 306
trigger21 = stateno = 500
trigger22 = stateno = 550
trigger23 = movecontact = 1
trigger23 = stateno = 1100
trigger24 = movecontact = 1
trigger24 = stateno = 1110
trigger25 = movecontact = 1
trigger25 = stateno = 1120
trigger26 = movecontact = 1
trigger26 = stateno = 1050
trigger27 = movecontact = 1
trigger27 = stateno = 1060
trigger28 = movecontact = 1
trigger28 = stateno = 1070
trigger29 = helper, movecontact = 1
trigger29 = stateno = 3000
trigger30 = projcontact = 1
trigger30 = stateno = 3010
trigger31 = projcontact = 1
trigger31 = stateno = 3020
trigger32 = projcontact = 1
trigger32 = stateno = 1010
trigger33 = projcontact = 1
trigger33 = stateno = 1011
trigger34 = projcontact = 1
trigger34 = stateno = 1012
trigger35 = projcontact = 1
trigger35 = stateno = 1000
trigger36 = projcontact = 1
trigger36 = stateno = 1001
trigger37 = projcontact = 1
trigger37 = stateno = 1002
trigger38 = movecontact = 1
trigger38 = stateno = 900
trigger39 = movecontact = 1
trigger39 = stateno = 910
trigger40 = movecontact = 1
trigger40 = stateno = 920
trigger41 = movecontact = 1
trigger41 = stateno = 945
trigger42 = stateno = 100
trigger43 = stateno = 950
trigger44 = stateno = 951
trigger45 = stateno = 952
trigger46 = stateno = 3961 || stateno = 3971 || stateno = 3981 || stateno = 3991
;---------------------
;hard Cotovelada:
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1668;1050
triggerall = command = "FF_ab"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast Kung Fu Knee (1/3 super bar)
;Jt[RiQ[WxP^Rj
[State -1, Fast Kung Fu Knee]
type = ChangeState
value = 1070
triggerall = command = "c"
trigger1 = stateno = 1668
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Light Cotovelada:
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1666;1050
triggerall = command = "FF_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Plasma Shoryuken:
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = command = "a"
trigger1 = stateno = 1666
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Medium Cotovelada:
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1667;1050
triggerall = command = "FF_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Knee
;Jt[Rij
[State -1, Strong Kung Fu Knee]
type = ChangeState
value = 1060
triggerall = command = "b"
trigger1 = stateno = 1667
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Fast Kung Fu Palm (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(2)= 0
triggerall = command = "QCF_xy"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;Jt[˂ij
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(2)= 0
triggerall = command = "QCF_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
;---------------------------------------------------------------------------
;Strong Kung Fu Palm
;Jt[˂ij
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(2)= 0
triggerall = command = "QCF_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;Jt[EEbp[ij
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_x" || command = "upper_y" || command = "upper_xy"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Plasma Hurricane:
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1200
triggerall = command = "QCB_a" ||command = "QCB_b"  || command = "QCB_c" 
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Plasma Hurricane in air:
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1201
triggerall = command = "QCB_a" ||command = "QCB_b"  || command = "QCB_c" 
trigger1 = stateno = 50
trigger2 = stateno = 10603
trigger3 = stateno = 600 && movecontact = 1
trigger4 = stateno = 610 && movecontact = 1
trigger5 = stateno = 620 && movecontact = 1
trigger6 = stateno = 630 && movecontact = 1
trigger7 = stateno = 640 && movecontact = 1
trigger8 = stateno = 650 && movecontact = 1

;==========================================================================
;Plasma Hadouken fraco in air:
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1300
triggerall = command = "QCF_x"
trigger1 = stateno = 50
trigger2 = stateno = 600 && movecontact = 1
trigger3 = stateno = 610 && movecontact = 1
trigger4 = stateno = 620 && movecontact = 1
trigger5 = stateno = 630 && movecontact = 1
trigger6 = stateno = 640 && movecontact = 1
trigger7 = stateno = 650 && movecontact = 1
;---------------------------------------------------------------------------
;Plasma Hadouken mdio in air:
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1310
triggerall = command = "QCF_y"
trigger1 = stateno = 50
trigger2 = stateno = 600 && movecontact = 1
trigger3 = stateno = 610 && movecontact = 1
trigger4 = stateno = 620 && movecontact = 1
trigger5 = stateno = 630 && movecontact = 1
trigger6 = stateno = 640 && movecontact = 1
trigger7 = stateno = 650 && movecontact = 1
;--------------------------------------------------------------------------
;Plasma Hadouken hard in air:
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1320
triggerall = command = "QCF_xy"
trigger1 = stateno = 50
trigger2 = stateno = 600 && movecontact = 1
trigger3 = stateno = 610 && movecontact = 1
trigger4 = stateno = 620 && movecontact = 1
trigger5 = stateno = 630 && movecontact = 1
trigger6 = stateno = 640 && movecontact = 1
trigger7 = stateno = 650 && movecontact = 1
;---------------------------------------------------------------------------
;Plasma Catar:
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1400
triggerall = command = "plac_a" ||command = "plac_b"  || command = "plac_c" 
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Plasma Catar: segundo hit
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1402
triggerall = command = "plac_a" ||command = "plac_b"  || command = "plac_c" 
trigger1 = stateno = 1401
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;Plasma Catar: terceiro hit
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1403
triggerall = command = "plac_a" ||command = "plac_b"  || command = "plac_c" 
trigger1 = stateno = 1402
trigger1 = movecontact = 1

;---------------------------------------------------------------------------
;air Plasma Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 1505
triggerall = command = "plac_a"
trigger1 = statetype = A
trigger1 = ctrl = 1

[State -1,26]
type = ChangeState
value = 1500
triggerall = command = "lightningkick_a"
triggerall = pos y=0
trigger1 = statetype != A
trigger1 = ctrl = 1
trigger2 = movecontact = 1
trigger2 = stateno = 230;[200,455]
trigger3 = ((stateno = 1001) || (stateno = 1003)) && (stateno != 1005)
trigger3 = AnimElem = 7, >=0
trigger4 = stateno = 200
trigger4 = movecontact = 1
trigger5 = stateno = 210
trigger5 = movecontact = 1
trigger6 = stateno = 220
trigger6 = movecontact = 1
trigger7 = stateno = 230
trigger7 = movecontact = 1
trigger8 = stateno = 240
trigger8 = movecontact = 1
trigger9 = stateno = 250
trigger9 = movecontact = 1

[State -1,28]
type = ChangeState
value = 1504
triggerall = command = "lightningkick_aa"
triggerall = pos y=0
trigger1 = 1500;(stateno = [1500,1001]) || (stateno = 1003) || (stateno = 1006)
trigger1 = AnimElem = 8, >=0
trigger2 = StateNo = 1004
trigger2 = AnimElem = 7, >=0

;==================================================
; Ashura senkuu pequeno:
[State -1, Fierce FB]
type = ChangeState
value = 1013
triggerall = var(20) = 0
triggerall = command = "QCF_a"
triggerall = NumProjID(3) = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 205 || stateno = 209 || stateno = 215 || stateno = 230 || stateno = 240
trigger2 = movecontact = 1
trigger3 = stateno = 210 && movecontact = 1 && time < 8
trigger4 = hitdefattr = C, NA && movecontact = 1
;trigger1 = stateno != 1006

;==================================================
; Ashura senkuu longo:
[State -1, Fierce FB]
type = ChangeState
value = 10100
triggerall = var(20) = 0
triggerall = command = "QCF_b"
triggerall = NumProjID(3) = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 205 || stateno = 209 || stateno = 215 || stateno = 230 || stateno = 240
trigger2 = movecontact = 1
trigger3 = stateno = 210 && movecontact = 1 && time < 8
trigger4 = hitdefattr = C, NA && movecontact = 1
;trigger1 = stateno != 1006

;==================================================
; Ashura senkuu pequeno para traz:
[State -1, Fierce FB]
type = ChangeState
value = 1014
triggerall = var(20) = 0
triggerall = command = "QCF_g"
triggerall = NumProjID(3) = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 205 || stateno = 209 || stateno = 215 || stateno = 230 || stateno = 240
trigger2 = movecontact = 1
trigger3 = stateno = 210 && movecontact = 1 && time < 8
trigger4 = hitdefattr = C, NA && movecontact = 1
;trigger1 = stateno != 1006

;==================================================
; Ashura senkuu pequeno para traz:
[State -1, Fierce FB]
type = ChangeState
value = 1016
triggerall = var(20) = 0
triggerall = command = "QCF_f"
triggerall = NumProjID(3) = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 205 || stateno = 209 || stateno = 215 || stateno = 230 || stateno = 240
trigger2 = movecontact = 1
trigger3 = stateno = 210 && movecontact = 1 && time < 8
trigger4 = hitdefattr = C, NA && movecontact = 1
;trigger1 = stateno != 1006

;==================================================
;Voadora do shurian
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 10600
triggerall = (command = "QCF_a")||(command ="QCF_b")
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact =1
trigger3 = stateno = 610 && movecontact =1
trigger4 = stateno = 620 && movecontact =1
trigger5 = stateno = 630 && movecontact =1
trigger6 = stateno = 640 && movecontact =1
trigger7 = stateno = 650 && movecontact =1
trigger8 = stateno = 10603
trigger9 = stateno = 50
;---------------------------------------------------------------------------
[State -1,26]
type = ChangeState
value = 10700
triggerall = command = "a"
triggerall = pos y=0
trigger1 = stateno =20 ;stateno = 5100
trigger2 = stateno = 5110

;---------------------------------------------------------------------------
[State -1,26]
type = ChangeState
value = 10800
triggerall = command = "x"
triggerall = pos y = 0
trigger1 = stateno = 5100
trigger2 = stateno = 5110

;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "FF"
trigger2 = stateno = 102
;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "BB"
trigger2 = stateno = 102
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact = 1 
trigger3 = stateno = 230 && movecontact = 1 

;---------------------------------------------------------------------------
;Stand hard Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact = 1 
trigger3 = stateno = 210 && movecontact = 1 
trigger4 = stateno = 230 && movecontact = 1 
trigger5 = stateno = 240 && movecontact = 1

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact = 1
;---------------------------------------------------------------------------
;Standing medium Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact = 1
trigger3 = stateno = 210 && movecontact = 1
trigger4 = stateno = 230 && movecontact = 1

;---------------------------------------------------------------------------
;Standing hard Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact = 1
trigger3 = stateno = 210 && movecontact = 1
trigger4 = stateno = 220 && movecontact = 1
trigger5 = stateno = 230 && movecontact = 1
trigger6 = stateno = 240 && movecontact = 1
;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1

;---------------------------------------------------------------------------
;Crouching medium Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
trigger3 = stateno = 430 && movecontact = 1
;---------------------------------------------------------------------------
;Crouching hard Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
trigger3 = stateno = 410 && movecontact = 1
trigger4 = stateno = 430 && movecontact = 1
trigger5 = stateno = 440 && movecontact = 1
;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
;---------------------------------------------------------------------------
;Crouching medium Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
trigger3 = stateno = 410 && movecontact = 1
trigger4 = stateno = 430 && movecontact = 1
;---------------------------------------------------------------------------
;Crouching hard Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "cc"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
trigger3 = stateno = 410 && movecontact = 1
trigger4 = stateno = 420 && movecontact = 1
trigger5 = stateno = 430 && movecontact = 1
trigger6 = stateno = 440 && movecontact = 1
;---------------------------------------------------------------------------
;Crouching hard Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 460
triggerall = command = "c";
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact = 1
trigger3 = stateno = 410 && movecontact = 1
trigger4 = stateno = 420 && movecontact = 1
trigger5 = stateno = 430 && movecontact = 1
trigger6 = stateno = 440 && movecontact = 1
trigger7 = stateno = 450 && movecontact = 1
;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7
trigger3 = stateno = 50

;---------------------------------------------------------------------------
;Jump medium Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact = 1 
trigger3 = stateno = 630 && movecontact = 1 

;---------------------------------------------------------------------------
;Jump hard Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact = 1 
trigger3 = stateno = 610 && movecontact = 1 
trigger4 = stateno = 630 && movecontact = 1 
trigger5 = stateno = 640 && movecontact = 1 

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact = 1 

;---------------------------------------------------------------------------
;Jump medium Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact = 1 
trigger3 = stateno = 630 && movecontact = 1 
trigger4 = stateno = 610 && movecontact = 1 

;------------------------------------------------------
;Jump hard Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && movecontact = 1 
trigger3 = stateno = 610 && movecontact = 1 
trigger4 = stateno = 620 && movecontact = 1 
trigger5 = stateno = 630 && movecontact = 1 
trigger6 = stateno = 640 && movecontact = 1 
trigger7 = stateno = 101 
